Subject: RE: Can't get authorized_keys to work
From: "Neil Aggarwal" <[email-masked]>
To: "David Christensen" <[email-masked]>
Cc: "Cygwin mailing list" <[email-masked]>
Date: Wed, 9 Apr 2003 10:46:05 -0500

David:

I used dos2unix on the files, but it did not change.

Here is the output I got:
$ ssh -v [email-masked]
OpenSSH_3.6.1p1, SSH protocols 1.5/2.0, OpenSSL 0x0090701f
debug1: Rhosts Authentication disabled, originating port will not be
trusted.
debug1: Connecting to cvs.JAMMConsulting.com [204.130.252.206] port 22.
debug1: Connection established.
debug1: identity file /home/Neil Aggarwal/.ssh/identity type -1
debug1: identity file /home/Neil Aggarwal/.ssh/id_rsa type 1
debug1: identity file /home/Neil Aggarwal/.ssh/id_dsa type -1
debug1: Remote protocol version 1.99, remote software version OpenSSH_3.1p1
debug1: match: OpenSSH_3.1p1 pat OpenSSH_2.*,OpenSSH_3.0*,OpenSSH_3.1*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.6.1p1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'cvs.jammconsulting.com' is known and matches the RSA host key.
debug1: Found key in /home/Neil Aggarwal/.ssh/known_hosts:1
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue:
publickey,password,keyboard-interacti
ve
debug1: Next authentication method: publickey
debug1: Trying private key: /home/Neil Aggarwal/.ssh/identity
debug1: Offering public key: /home/Neil Aggarwal/.ssh/id_rsa
debug1: Authentications that can continue:
publickey,password,keyboard-interacti
ve
debug1: Trying private key: /home/Neil Aggarwal/.ssh/id_dsa
debug1: Next authentication method: keyboard-interactive
debug1: Authentications that can continue:
publickey,password,keyboard-interacti
ve
debug1: Next authentication method: password
[email-masked]'s password:

Any ideas?

Thanks,
	Neil.

--
Neil Aggarwal
JAMM Consulting, Inc.    (972) 612-6056, http://www.JAMMConsulting.com
Custom Internet Development    Websites, Ecommerce, Java, databases

> -----Original Message-----
> From: David Christensen [mailto:[email-masked]]
> Sent: Tuesday, April 08, 2003 11:30 PM
> To: Neil Aggarwal
> Cc: [email-masked]
> Subject: Re: Can't get authorized_keys to work
>
>
> Neil Aggarwal wrote April 08, 2003 5:55 PM:
> > I am trying to use cygwin to set-up an authorized_keys file
> > on my server to allow me to automatically login without a
> > password.
> >
> > My client machine is Windows 2000 Professional and the server
> > is RedHat Linux 7.3.
>
> Have you checked line endings?  e.g. Cygwin might have created the file
> with CR-LF, but Linux wants LF.  Use "od" (octal dump) to examine the
> file.  Use "dos2unix" to convert line endings.
>
>
> HTH,
>
> David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/